<template>
  <div class="v-services">
    <div class="v-services_quest" v-if="numArticle === '12.27'">
      <div class="v-services_quest-container" v-for="quest in questions1227" :key="quest.id">
        <span>{{quest.value}}</span>
        <div class="answer-wrapper">
          <label :class="{active: quest.answer === quest.valueAnswerTrue}"><input hidden type="radio"  :value="quest.valueAnswerTrue" v-model="quest.answer" class="answer-1">{{quest.valueAnswerTrue}}</label>
          <label :class="{active: quest.answer === quest.valueAnswerFalse}"><input hidden type="radio"  :value="quest.valueAnswerFalse" v-model="quest.answer" class="answer-2">{{quest.valueAnswerFalse}}</label>
        </div>
      </div>
    </div>
    <div ref="form" class="v-services_form">
      <div class="title">
        ВВЕДИТЕ ДАННЫЕ
        <p>Получите результаты проверки информации по базе судебных актов</p>
      </div>
      <form>
        <div class="form-wrapper">
          <label>
            <span>Ваше имя</span>
            <input type="text" v-model="name" placeholder="Введите имя">
          </label>
          <label>
            <span>E-mail</span>
            <input type="email" v-model="email" placeholder="E-mail">
          </label>
          <label>
            <span>Телефон</span>
            <input type="text" class="new-input" required placeholder="Ваш телефон" data-inputmask="'mask': '+9(999)999-99-99'"  v-model="phone">
          </label>
        </div>
      </form>
      <button type="submit" @click="outMessUrist" onclick="ym(72714331,'reachGoal','order')">Узнать результаты</button>
      <p>Отправляя форму вы даёте согласие на обработку персональных данных</p>
    </div>
    <div id="answer" style="display: none" class="v-services_answer" v-if="numArticle === '12.27'">
      <p>Добрый день!</p>
      <p>
        Направляем Вам предварительные результаты, основанные на автоматическом
        анализе 2330 постановлений и решений по аналогичным делам. Искусственный
        интеллект определяет шансы на возврат прав
      </p>
      <p>
        Наши юристы готовы помочь Вам в том числе лично и по бесплатному
        телефону 8(800)201-32-36 предоставив бесплатную консультацию.
      </p>
      <p>А теперь по Вашему делу:</p>
      <div class="answer-wrapper">
        <div class="answer-container">
          <div v-if="questions1227[0].answer === questions1227[0].valueAnswerTrue" class="title">Суд был.</div>
          <div v-else class="title">Еще не было суда.</div>
          <div v-if="questions1227[0].answer === questions1227[0].valueAnswerTrue" class="subtitle">
            Если судом принято постановление о лишении прав, мы его
            обжалуем в суде вышестоящей инстанции и вернем права.
          </div>
          <div v-else class="subtitle">
            У нас будет много времени на проверку материалов дела на соответствие
            законодательству и на подготовку правовой позиции.
          </div>
        </div>
        <div class="answer-container">
          <div v-if="questions1227[1].answer === questions1227[1].valueAnswerTrue" class="title">Было ДТП.</div>
          <div v-else class="title">Не было ДТП.</div>
          <div v-if="questions1227[1].answer === questions1227[1].valueAnswerTrue" class="subtitle">
            Если было ДТП нужно оспорить доказательства и исключить их из материалов дела для выигрыша дела.
          </div>
          <div v-else class="subtitle">
            В этом случае для выигрыша дела необходимо доказать, что контакта
            между автомобилями или иным участником ДТП не было, с чем успешно справляются юристы нашей компании.
          </div>
        </div>
        <div class="answer-container">
          <div v-if="questions1227[2].answer === questions1227[2].valueAnswerTrue" class="title">Повреждения незначительные.</div>
          <div v-else class="title">Повреждения серьезные.</div>
          <div v-if="questions1227[2].answer === questions1227[2].valueAnswerTrue" class="subtitle">
            В этом случае необходимо только грамотно сформулировать правовую позицию и мы спокойно
            сможем обойти лишение прав и арест.
          </div>
          <div v-else class="subtitle">
            В этом случае мы проверим показания свидетелей, рапорт, протокол об АП и другие документы на
            факт соответствия изложенной информации действительности и наличие недостатков при их составлении.
          </div>
        </div>
        <div class="answer-container">
          <div v-if="questions1227[3].answer === questions1227[3].valueAnswerTrue" class="title">Если скрывались с места ДТП</div>
          <div v-else class="title">Если не скрывались с места ДТП</div>
          <div v-if="questions1227[3].answer === questions1227[3].valueAnswerTrue" class="subtitle">
            необходимо проверить наличие доказательств вашей вины, правильность составления процессуальных
            документов, а  также полноту проведенного административного расследования. При отсутствии доказательств
            или неправильном составлении документов можно выиграть дело, главное - грамотно подготовить линию защиты.
          </div>
          <div v-else class="subtitle">
            В этом случае необходимо правильно сформулировать позицию защиты,
            собрать и предоставить в суд свои доказательства того, что скрытия с места ДТП не было.
          </div>
        </div>
        <div class="answer-container">
          <div v-if="questions1227[4].answer === questions1227[4].valueAnswerTrue" class="title">Имеются претензии у второго участника ДТП.</div>
          <div v-else class="title">У второго участника ДТП нет претензий.</div>
          <div v-if="questions1227[4].answer === questions1227[4].valueAnswerTrue" class="subtitle">
            Юрист попытается договориться с потерпевшим, чтобы в суде отказался от своих претензий к вам.
          </div>
          <div v-else class="subtitle">
            Отсутствие претензий пойдет нам только на руку и поможет остаться с правами.
          </div>
        </div>
        <div class="answer-container">
          <div v-if="questions1227[5].answer === questions1227[5].valueAnswerTrue" class="title">Что Вы указали в протоколе? Согласились с нарушением?</div>
          <div v-else class="title">Что Вы указали в протоколе</div>
          <div v-if="questions1227[5].answer === questions1227[5].valueAnswerTrue" class="subtitle">
            Ваше согласие в момент составления протокола может быть в суде представлено как «не разобрался в
            ситуации под давлением сотрудников и введения в заблуждение относительно существа
            вменяемого правонарушения». Поэтому от этих слов можно безболезненно отказаться.
          </div>
          <div v-else class="subtitle">
            Согласие или не согласие с протоколом не играет особой роли. То, что Вы не согласились
            на месте, безусловно, увеличивает наши шансы, показывая, что Вы изначально считали
            действия сотрудников ДПС неправомерными.
          </div>
        </div>
        <div class="answer-container">
          <div v-if="questions1227[6].answer === questions1227[6].valueAnswerTrue" class="title">
            Проверьте в протоколе, указано ли то, что к нему прилагается видео.
          </div>
          <div v-else class="title">Видеозапись.</div>
          <div v-if="questions1227[6].answer === questions1227[6].valueAnswerTrue" class="subtitle">
            Если такого указания нет или не соблюдены все требования, предъявляемые процессуальным
            законодательством к видеозаписи, то ее можно исключить из доказательственной
            базы и выиграть дело, с чем мы успешно справляемся.
          </div>
          <div v-else class="subtitle">
            Отлично что ее нет. На одно доказательство придется исключать меньше. Вообще же, видеозапись
            нарушения не является обязательным доказательством, поскольку суды устанавливают вину
            водителя или отсутствие таковой уже на основании заявления второго участника ДТП,
            протокола, рапорта и схемы и иных материалов.
          </div>
        </div>
        <div class="answer-container">
          <div v-if="questions1227[7].answer === questions1227[7].valueAnswerTrue" class="title">Если есть свидетели.</div>
          <div v-else class="title">Если нет свидетелей.</div>
          <div v-if="questions1227[7].answer === questions1227[7].valueAnswerTrue" class="subtitle">
            мы проверим соответствие их показаний рапорту инспектора ГИБДД, протоколу об АП и иным доказательствам.
            Если обнаружим, что показания расходятся с другими доказательствами,
            то сможем оспорить их участие в качестве свидетелей.
          </div>
          <div v-else class="subtitle">
            Если нет свидетелей, то это пойдет нам на пользу. Наличие свидетелей необязательно и если
            есть какие-либо другие доказательства вашей вины, то необходимо будет оспорить их.
          </div>
        </div>
        <div class="answer-container">
          <div v-if="questions1227[8].answer === questions1227[8].valueAnswerTrue" class="title">Ваши пассажиры.</div>
          <div v-else class="title">Отсутствие свидетелей.</div>
          <div v-if="questions1227[8].answer === questions1227[8].valueAnswerTrue" class="subtitle">
            Ваши пассажиры являются такими же свидетелями по делу и могут давать свои показания и
            доказать вашу невиновность. И необязательно, чтобы они были
            вписаны в протокол об административном правонарушении.
          </div>
          <div v-else class="subtitle">
            С Вашей стороны в данном случае не играют особой роли.
          </div>
        </div>
        <div class="answer-container">
          <div v-if="questions1227[9].answer === questions1227[9].valueAnswerTrue" class="subtitle">
            При решении вопроса о назначении административного наказания суд учитывает характер
            совершенного правонарушения и иные обстоятельства. Конечно же, получить арест на практике сложно,
            но наши юристы добиваются этого, учитывая ситуацию клиента и судебную практику в его регионе.
          </div>
          <div v-else class="subtitle">
            Чтобы не получить арест и остаться с правами необходимо грамотно подготовить линию защиты для суда,
            с указанием всех нарушений материального и процессуального законодательства.
          </div>
        </div>
      </div>
      <h5>Резюме</h5>
      <p>
        Нами разработано несколько способов для возврата прав за оставление места ДТП,
        в том числе и с получением ареста. Как видно из предварительного автоматизированного анализа,
        у Вас есть все шансы на успех, но придется постараться этого успеха добиться.
        Есть положительные и отрицательные моменты, но после анализа протокола об административном
        правонарушении можно будет дать более точные шансы и определиться с окончательной линией защиты
        по Вашему делу.
      </p>
      <h3>Звоните по бесплатному номеру 8(800)201-32-36 и юрист предоставит Вам:</h3>
      <span>- бесплатные ходатайства</span><br>
      <span>- постановления и решения судов на которых основана эта информация</span><br>
      <span>- бесплатную консультацию и анализ материалов дела</span>
      <h3>
        С уважением,
        <br>
        Ваш Автоюрист
      </h3>
    </div>
    <notice
      v-if="isPopup"
      @removePopup="removePopup"
      :isPopup="isPopup"
      :title="title"
      :subtitle="subtitle"
    />
  </div>
</template>

<script>
import axios from 'axios'
import Inputmask from 'inputmask'
import notice from './notification'
export default {
  name: 'v-services',
  components: { notice },
  data () {
    return {
      articles: [
        '12.26', '12.8', '12.15.4(5)', '12.27', '12.2'
      ],
      questions122: [
        { value: 'Был ли суд?', answer: 1, valueAnswerTrue: 'Да', valueAnswerFalse: 'Нет', id: '1' },
        { value: 'Управляли ли автомобилем в момент фиксации нарушения?', answer: 2, valueAnswerTrue: 'Да', valueAnswerFalse: 'Нет', id: '2' },
        { value: 'Были ли номера скрыты специально?', answer: 3, valueAnswerTrue: 'Да', valueAnswerFalse: 'Нет', id: '3' },
        { value: 'Имеются ли доказательства, кроме протокола об АП?', answer: 4, valueAnswerTrue: 'Да', valueAnswerFalse: 'Нет', id: '4' },
        { value: 'Выдали ли Вам копию протокола?', answer: 5, valueAnswerTrue: 'Да', valueAnswerFalse: 'Нет', id: '5' },
        { value: 'Что вы указали в протоколе и в письменных объяснениях?', answer: 6, valueAnswerTrue: 'Согласился', valueAnswerFalse: 'Не согласился', id: '6' },
        { value: 'Имеется ли в материалах дела фото/видео нарушения?', answer: 7, valueAnswerTrue: 'Да', valueAnswerFalse: 'Нет', id: '7' },
        { value: 'Привлекались ли свидетели?', answer: 8, valueAnswerTrue: 'Да', valueAnswerFalse: 'Нет', id: '8' },
        { value: 'Были ли пассажиры у Вас в авто?', answer: 9, valueAnswerTrue: 'Да', valueAnswerFalse: 'Нет', id: '9' },
        { value: 'Хочу узнать, как получить штраф', answer: 10, valueAnswerTrue: 'Узнать', valueAnswerFalse: 'Спасибо, не нужно', id: '10' }
      ],
      questions1215: [
        { value: 'Был ли суд?', answer: 1, valueAnswerTrue: 'Да', valueAnswerFalse: 'Нет', id: '1' },
        { value: 'У Вас первый выезд на встречку или повторный?', answer: 2, valueAnswerTrue: 'Первый', valueAnswerFalse: 'Повторный', id: '2' },
        { value: 'Были ли у Вас штрафы за нарушение ПДД в течение года?', answer: 3, valueAnswerTrue: 'Да', valueAnswerFalse: 'Нет', id: '3' },
        { value: 'Составлялась ли при Вас схема?', answer: 4, valueAnswerTrue: 'Да', valueAnswerFalse: 'Нет', id: '4' },
        { value: 'Что Вы указали в протоколе?', answer: 5, valueAnswerTrue: 'Согласился', valueAnswerFalse: 'Не согласился', id: '5' },
        { value: 'Имеется ли у ДПС фотография или видеозапись нарушения?', answer: 6, valueAnswerTrue: 'Да', valueAnswerFalse: 'Нет', id: '6' },
        { value: 'Привлекались ли свидетели?', answer: 7, valueAnswerTrue: 'Да', valueAnswerFalse: 'Нет', id: '7' },
        { value: 'Были ли пассажиры у Вас в авто?', answer: 8, valueAnswerTrue: 'Да', valueAnswerFalse: 'Нет', id: '8' },
        { value: 'Хочу узнать, в каких случаях назначат 4 или 6 месяцев лишения', answer: 9, valueAnswerTrue: 'Узнать', valueAnswerFalse: 'Спасибо, не нужно', id: '9' }
      ],
      questions1226: [
        { value: 'Был ли суд?', answer: 1, valueAnswerTrue: 'Да', valueAnswerFalse: 'Еще нет', id: '1' },
        { value: 'Проходили ли Вы на месте освидетельствование?', answer: 2, valueAnswerTrue: 'Да', valueAnswerFalse: 'Не предлагали', id: '2' },
        { value: 'Выдали ли Вам копии протоколов?', answer: 3, valueAnswerTrue: 'Да', valueAnswerFalse: 'Нет', id: '3' },
        { value: 'Что Вы указали в протоколе?', answer: 4, valueAnswerTrue: 'Да', valueAnswerFalse: 'Нет', id: '4' },
        { value: 'Велась ли сотрудниками ДПС видеозапись?', answer: 5, valueAnswerTrue: 'Да', valueAnswerFalse: 'Нет', id: '5' },
        { value: 'Привлекались ли понятые?', answer: 6, valueAnswerTrue: 'Да', valueAnswerFalse: 'Нет', id: '6' },
        { value: 'Были ли свидетели управления Вами автомобилем?', answer: 7, valueAnswerTrue: 'Да', valueAnswerFalse: 'Нет', id: '7' },
        { value: 'Были ли пассажиры у Вас в авто?', answer: 8, valueAnswerTrue: 'Да', valueAnswerFalse: 'Нет', id: '8' },
        { value: 'Хочу узнать, в каких случаях назначат 1,5 или 2 года лишения', answer: 9, valueAnswerTrue: 'Да', valueAnswerFalse: 'Нет', id: '9' }
      ],
      questions1227: [
        { value: 'Был ли суд?', answer: 1, valueAnswerTrue: 'Да', valueAnswerFalse: 'Нет', id: '1' },
        { value: 'Было ли ДТП?', answer: 2, valueAnswerTrue: 'Да', valueAnswerFalse: 'Нет', id: '2' },
        { value: 'Являются ли повреждения автомобиля незначительными?', answer: 3, valueAnswerTrue: 'Да', valueAnswerFalse: 'Нет', id: '3' },
        { value: 'Скрывались ли с места ДТП?', answer: 4, valueAnswerTrue: 'Да', valueAnswerFalse: 'Нет', id: '4' },
        { value: 'Имеются ли претензии у второго участника ДТП?', answer: 5, valueAnswerTrue: 'Да', valueAnswerFalse: 'Нет', id: '5' },
        { value: 'Что вы указали в протоколе и в письменных объяснениях?', answer: 6, valueAnswerTrue: 'Согласился', valueAnswerFalse: 'Не согласился', id: '6' },
        { value: 'Имеется ли в материалах дела видеозапись нарушения?', answer: 7, valueAnswerTrue: 'Да', valueAnswerFalse: 'Нет', id: '7' },
        { value: 'Привлекались ли свидетели?', answer: 8, valueAnswerTrue: 'Да', valueAnswerFalse: 'Нет', id: '8' },
        { value: 'Были ли пассажиры у Вас в авто?', answer: 9, valueAnswerTrue: 'Да', valueAnswerFalse: 'Нет', id: '9' },
        { value: 'Хочу узнать, как получить арест', answer: 10, valueAnswerTrue: 'Узнать', valueAnswerFalse: 'Спасибо, не нужно', id: '10' }
      ],
      questions128: [
        { value: 'Был ли суд?', answer: 1, valueAnswerTrue: 'Да', valueAnswerFalse: 'Нет', id: '1' },
        { value: 'Находились ли вы в состоянии опьянения?', answer: 2, valueAnswerTrue: 'Да', valueAnswerFalse: 'Нет', id: '2' },
        { value: 'Проходили ли Вы на месте освидетельствование или Вас доставили в наркологию?', answer: 3, valueAnswerTrue: 'Прошел на месте', valueAnswerFalse: 'Сразу в больницу', id: '3' },
        { value: 'Выдали ли Вам копии протоколов?', answer: 4, valueAnswerTrue: 'Да', valueAnswerFalse: 'Нет', id: '4' },
        { value: 'Что Вы указали в протоколе?', answer: 5, valueAnswerTrue: 'Согласился', valueAnswerFalse: 'Не согласился', id: '5' },
        { value: 'Велась ли сотрудниками ДПС видеозапись?', answer: 6, valueAnswerTrue: 'Да', valueAnswerFalse: 'Нет', id: '6' },
        { value: 'Привлекались ли понятые?', answer: 7, valueAnswerTrue: 'Да', valueAnswerFalse: 'Нет', id: '7' },
        { value: 'Были ли свидетели управления Вами автомобилем?', answer: 8, valueAnswerTrue: 'Да', valueAnswerFalse: 'Нет', id: '8' },
        { value: 'Были ли пассажиры у Вас в авто?', answer: 9, valueAnswerTrue: 'Да', valueAnswerFalse: 'Нет', id: '9' },
        { value: 'Хочу узнать, в каких случаях назначат 1,5 или 2 года лишения', answer: 10, valueAnswerTrue: 'Узнать', valueAnswerFalse: 'Спасибо, не нужно', id: '10' }
      ],
      result: [],
      name: null,
      email: null,
      phone: null,
      isPopup: false,
      title: null,
      subtitle: null
    }
  },
  computed: {
    numArticle () {
      return '12.27'
      // return this.$route.params.id
    }
  },
  created () {
    Inputmask().mask(document.querySelectorAll('input[type=text]'))
  },
  methods: {
    removePopup () {
      this.isPopup = false
    },
    outMessUrist (e) {
      if (!this.name) {
        e.target.innerText = 'Вам необходимо указать как вас зовут'
        e.target.classList.add('error-send')
        this.isPopup = true
        this.title = 'Вам необходимо указать как вас зовут'
        this.subtitle = 'Пожалуйста, укажите Ваше имя. Это необходимо для более качественного предоставления услуг'
        setTimeout(() => {
          e.target.innerText = 'Узнать результаты'
          e.target.classList.remove('error-send')
        }, 800)
      } else if (!this.phone) {
        e.target.innerText = 'Вам необходимо указать email или телефон'
        e.target.classList.add('error-send')
        this.isPopup = true
        this.title = 'Вам необходимо указать Ваш номер телефона'
        this.subtitle = 'Пожалуйста, укажите Ваш телефон. Это необходимо для более качественного предоставления услуг. Ваши данные надежно защищены'
        setTimeout(() => {
          e.target.innerText = 'Узнать результаты'
          e.target.classList.remove('error-send')
        }, 800)
      } else {
        const vm = this
        vm.result.join()
        if (!this.name) e.target.innerText = 'Вам необходимо указать как вас зовут'
        else if (!this.phone && !this.email) e.target.innerText = 'Вам необходимо указать email или телефон'
        else {
          const reg = '^\\+\\d{1,3}\\s?\\(\\d{3}\\)\\s?\\d{3}(-\\d{2}){2}$' // для проверки правильности введенного номера
          if (this.phone.match(reg) !== null) {
            e.target.innerText = 'Ждите..'
            const formData = new FormData()
            formData.append('crm', '11')
            formData.append('pipe', '22')
            formData.append('contact[name]', this.name)
            formData.append('contact[199]', this.phone)
            formData.append('contact[200]', this.email)

            // для chance.avtourist.info
            formData.append('lead[214]', '12-27.mfucentre.ru')
            formData.append('note', 'Заявка с 12-27.mfucentre.ru по статье ' + this.numArticle + '<br>' + this.result.join())
            axios.post('https://urist.v-avtoservice.com/api/import-lead',
              formData,
              {
                headers: {
                  'Content-Type': 'multipart/form-data'
                }
              }
            ).then(res => {
              e.target.innerText = 'Заявка отправлена!'
              document.getElementById('modalSubscribe').style.display = 'block'
              document.getElementById('answer').style.display = 'block'
              this.$refs.form.remove()
            })
          } else {
            this.isPopup = true
            this.title = 'Номер не корректный!'
            this.subtitle = 'Пожалуйста, укажите правильно номер вашего телефона. Ваши данные надежно защищены.'
          }
        }
      }
    }
  },
  mounted () {
    Inputmask().mask(document.querySelectorAll('input[type=text]'))
  }
}
</script>

<style lang="scss" scoped>
  .v-services_articles {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    h2 {
      flex-basis: 100%;
      font-weight: bold;
      font-size: 28px;
      line-height: 34px;
    }
    p {
      flex-basis: 100%;
      color: rgba(0, 0, 0, 0.4);
    }
    .articles-container {
      cursor: pointer;
      width: 198px;
      height: 140px;
      margin: 10px;
      padding: 10px 0 0 10px;
      background: rgba(32, 209, 82, 0.08);
      border: 1px solid rgba(32, 209, 82, 0.16);
      box-sizing: border-box;
      border-radius: 10px;
      position: relative;
      &::before {
        content: '';
        width: 25px;
        height: 15px;
        bottom: 10px;
        right: 10px;
        position: absolute;
        background: url("../assets/img/icons/arrow.svg") center no-repeat;
      }
      .title {
        margin-bottom: 15px;
        font-weight: 600;
        font-size: 20px;
        line-height: 28px;
        color: #20D152;
      }
      &.active .title {
        color: #FFFFFF;
      }
      &.active {
        background: #20D152;
        color: #FFFFFF;
      }
    }
  }
  .v-services_quest {
    margin-bottom: 45px;
    .v-services_quest-container {
      display: flex;
      align-items: center;
      padding: 2px 2px 2px 15px;
      margin: 10px 10px;
      height: 40px;
      border-radius: 3px;
      border: 1px solid #E0E0E0;
      span {
        max-width: 50%;
      }
      .answer-wrapper {
        margin-left: auto;
        label {
          display: inline-flex;
          justify-content: center;
          align-items: center;
          min-width: 120px;
          width: 200px;
          height: 38px;
          background: rgba(32, 209, 82, 0.08);
          margin: 0 2px;
          border-radius: 2px;
          border: 1px solid #E0E0E0;
          transition-duration: .3s;
          cursor: pointer;
          &.active {
            color: #FFFFFF;
            background: #20D152;
          }
          &:active {
            transform: scale(0.8);
          }
        }
      }
    }
  }
  .v-services_form {
    .title {
      margin-bottom: 25px;
      font-weight: bold;
      font-size: 28px;
      line-height: 34px;
    }
    form {
      display: flex;
      flex-direction: column;
      justify-content: center;
      .form-wrapper {
        display: flex;
        justify-content: center;
        flex-wrap: wrap;
        margin-bottom: 24px;
        label {
          margin: 10px 5px;
          position: relative;
          max-width: 30%;
          min-width: 200px;
          width: 30%;
          &:focus {
            color: #0F8831;
          }
          input {
            width: 100%;
            border: 1px solid #20D152;
            box-sizing: border-box;
            border-radius: 6px;
            height: 48px;
            padding: 20px 14px;
            &:focus {
              color: #0F8831;
            }
          }
          span {
            position: absolute;
            top: -15px;
            left: 5px;
            font-weight: 600;
            font-size: 12px;
            line-height: 15px;
          }
        }
      }
    }
    button {
      display: block;
      width: 220px;
      height: 48px;
      background: #20D152;
      margin: 0 auto;
      box-shadow: 0px 8px 20px rgba(0, 0, 0, 0.15);
      border-radius: 6px;
      color: #FFFFFF;
      font-weight: bold;
      font-size: 16px;
    }
    p {
      text-align: center;
      font-weight: normal;
      font-size: 16px;
      line-height: 20px;
      color: rgba(0, 0, 0, 0.36);
    }
  }
  .v-services_answer {
    margin-bottom: 50px;
    .answer-wrapper {
      padding: 15px;
      background: linear-gradient(0deg, rgba(0, 0, 0, 0.04), rgba(0, 0, 0, 0.04)), #FFFFFF;
      border: 1px solid rgba(0, 0, 0, 0.12);
      box-sizing: border-box;
      border-radius: 16px;
      .answer-container {
        margin: 15px 0;
        background: #FFFFFF;
        padding: 15px;
        box-shadow: 0 0 10px 2px rgba(221, 221, 221, 1);
        box-sizing: border-box;
        border-radius: 8px;
        .title {
          margin-bottom: 10px;
          font-weight: bold;
          font-size: 20px;
          line-height: 24px;
          text-transform: uppercase;
        }
      }
    }
  }
  @media (max-width: 1110px) {
    .v-services_quest {
      .v-services_quest-container {
        display: flex;
        flex-wrap: wrap;
        height: initial;
        padding: 10px;
        span {
          margin-bottom: 10px;
          max-width: initial;
        }
        .answer-wrapper {
          display: flex;
          flex-wrap: wrap;
          justify-content: center;
          label {
          }
        }
      }
    }
  }
  @media (max-width: 450px) {
    .v-services_articles {
      margin-bottom: 30px;
      h2 {
        font-size: 22px;
        line-height: 26px;
      }
      .articles-container {
        width: calc(100% - 30px);
        height: 110px;
        margin: 5px;
        .title {
          margin-bottom: 7px;
        }
      }
    }
    .v-services_form {
      .title {
      }
      form {
        display: flex;
        flex-direction: column;
        justify-content: center;
        .form-wrapper {
          label {
            margin: 10px 5px;
            position: relative;
            max-width: initial;
            min-width: 200px;
            width: 100%;
          }
        }
      }
      button {
        display: block;
        width: 220px;
        height: 48px;
        background: #20D152;
        margin: 0 auto;
        box-shadow: 0px 8px 20px rgba(0, 0, 0, 0.15);
        border-radius: 6px;
        color: #FFFFFF;
        font-weight: bold;
        font-size: 16px;
      }
      p {
        text-align: center;
        font-weight: normal;
        font-size: 16px;
        line-height: 20px;
        color: rgba(0, 0, 0, 0.36);
      }
    }
  }
</style>
